<?php 
echo "<div class='blockings'>";
$x=mysql_querll("SELECT * FROM `obyv` WHERE `id` = '$x[id]' LIMIT 1");
if(isset($_GET['yes']))echo 'Объявление отправлено!<br/>';
echo '<form action="?admin=obyv&save" method="post">';
echo 'Имя: (не обязательно)<br/>';
echo '<input name="name" type="text" value=""/><br/>';
echo 'Описание:<br/>';
echo '<textarea name="opis"></textarea><br/>';
echo 'Ссылка: (без http://)
<textarea name="ssylka"></textarea><br/>';
echo '<li>
<label>
<div>Кому:</div>
<div><select name="dostup"><option selected="selected" value="1">Всем</option><option
value="2">Администрации</option></select></div>
</label>
</li>';
echo '<input type="submit" value="Отправить"/>';
echo '</form>';

if($_POST['dostup']==1)$dostup=1;
if($_POST['dostup']==2)$dostup=2;

if(isset($_GET['save'])){
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['opis'])));
$ssylka=htmlspecialchars(mysql_real_escape_string(trim($_POST['ssylka'])));
if(!$opis)echo 'Должно быть заполнено хотяб Описание!';
mysql_querll("INSERT INTO `obyv` (`name`,`opis`,`id_user`,`ssylka`,`dostup`)VALUES('$name','$opis','".$ku['id']."','$ssylka','$dostup')");
mysql_querll("UPDATE `kolhoz_user` SET `read_obyv` = '0'".($_POST['dostup']==2?" WHERE `status` > '0'":null)."");
header("Location:?admin=obyv&yes");
}

include_once 'inc/foot.php';
?>